Commit 8e10aed2 authored by sajolida's avatar sajolida

Draft release notes for 4.0

parent def753a2
[[!meta title="Tails 4.0 is out"]]
[[!meta date="Tue, 22 Oct 2019 12:34:56 +0000"]]
[[!pagetemplate template="news.tmpl"]]
[[!tag announce]]
We are especially proud to present you Tails 4.0, the first version of
Tails based on Debian 10 (Buster). It brings new versions of most of
the software included in Tails and some important usability and
performance improvements.
This release also fixes [[many security
issues|security/Numerous_security_holes_in_3.16]]. You should
upgrade as soon as possible.
[[!toc levels=1]]
# Changes and upgrades
## Major changes to included software
- Replace *KeePassX* with [*KeePassXC*](https://keepassxc.org/), which
is more actively developed.
[[!img keepassxc.png link="no"]]
- Update *OnionShare* from 0.9.2 to 1.3.2, which includes a lot of usability
improvements.
[[!img onionshare.png link="no"]]
<a id="mat"></a>
- Update *MAT* from 0.6.1 to [0.8.0](https://0xacab.org/jvoisin/mat2/blob/master/CHANGELOG.md)
*MAT* has no graphical interface of its own anymore.
To clean the metadata of a file:
1. Open the *Files* browser and navigate to the file that you want to
clean.
1. Right-click (on Mac, click with two fingers) on the file.
1. Choose **Remove metadata**.
[[!img mat.png link="no" alt=""]]
- Update *Tor Browser* to 9.0.
- Update *Linux* to 5.3.0, which fixes the [Spectre v1 SWAPGS
vulnerability](https://www.swapgs.com/). This should also improve the
support for newer hardware (graphics, Wi-Fi, etc.).
- Update *Enigmail* to 2.0.12 and *gnupg* to 2.2.12, which mitigate
[OpenPGP certificate flooding](https://dkg.fifthhorseman.net/blog/openpgp-certificate-flooding.html).
- Upgrade most other software, for example:
- *Audacity* from 2.1.2 to [2.2.2](https://wiki.audacityteam.org/wiki/Audacity_Versions#whatsnew)
- *GIMP* from 2.8.18 to [2.10.8](https://docs.gimp.org/2.10/en/gimp-introduction-whats-new.html)
- *Inkscape* from 0.92.1 to [0.92.4](https://inkscape.org/release/inkscape-0.92.4/)
- *LibreOffice* from 5.2.7 to [6.1.5](https://wiki.documentfoundation.org/ReleaseNotes/6.0)
<a id="mat"></a>
- *git* from 2.11.0 to 2.20.1
- *Tor* to 0.4.1.5.
- Remove *Scribus*.
You can install *Scribus* again using the
*[[Additional Software|doc/first_steps/additional_software]]* feature.
## Usability improvements to *Tails Greeter*
We improved various aspects of the usability of *Tails Greeter*,
especially for non-English users:
- To make it easier to select a language, we curated the list of
proposed languages by removing the ones that had too little
translations to be useful.
[[!img languages.png link="no" alt=""]]
- We also simplified the list of keyboard layouts.
- We fixed the **Formats** setting, which was not being applied.
- We prevented additional settings to be applied when clicking on
**Cancel** or **Back**.
## Other performance and usability improvements
- Tails 4.0 starts 20% faster.
- Tails 4.0 requires about 250 MB less of RAM.
- Add support for *Thunderbolt* devices.
- The notification is bigger and more readable.
[[!img notifications.png link="no" alt=""]]
- The screen keyboard is easier to use.
[[!img screen-keyboard.png link="no" alt=""]]
## New documentation pages
- [[How to securely erasing an entire
device|doc/encryption_and_privacy/secure_deletion#erase-device]],
including USB sticks and SSDs.
- [[How to backup your persistent
volume|doc/first_steps/persistence/copy]].
# Fixed problems
For more details, read our [[!tails_gitweb debian/changelog desc="changelog"]].
- Allow opening persistent volumes from other Tails USB sticks. ([[!tails_ticket 16789]])
- Fix the delivery of WhisperBack reports. ([[!tails_ticket 17110]])
<a id="known-issues"></a>
# Known issues
<!--
Copy the known issues from the previous version if they haven't been
solved or move them to /support/known_issues if more appropriate.
-->
None specific to this release.
See the list of [[long-standing issues|support/known_issues]].
# Get Tails 4.0
## To upgrade your Tails USB stick and keep your persistent storage
Automatic upgrades are not available to 4.0.
All users must do a [[manual upgrade|upgrade]].
## To install Tails on a new USB stick
Follow our installation instructions:
- [[Install from Windows|install/win]]
- [[Install from macOS|install/mac]]
- [[Install from Linux|install/linux]]
<div class="caution"><p>All the data on this USB stick will be lost.</p></div>
## To download only
If you don't need installation or upgrade instructions, you can directly download
Tails 4.0:
- [[For USB sticks (USB image)|install/download]]
- [[For DVDs and virtual machines (ISO image)|install/download-iso]]
# What's coming up?
Tails 4.1 is [[scheduled|contribute/calendar]] for December 3.
Have a look at our [[!tails_roadmap]] to see where we are heading to.
We need your help and there are many ways to [[contribute to
Tails|contribute]] (<a href="https://tails.boum.org/donate/?r=4.0">donating</a> is only one of
them). Come [[talk to us|about/contact#tails-dev]]!
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment